Download an envelope item
GET
/envelope/item/{envelopeItemId}/download
const url = 'https://app.legaldoc.com/api/v2/envelope/item/example/download?version=original';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.legaldoc.com/api/v2/envelope/item/example/download?version=original' \ --header 'Authorization: <Authorization>'Download an envelope item by its ID
Authorizations
Sección titulada «Authorizations»Parameters
Sección titulada «Parameters»Path Parameters
Sección titulada «Path Parameters»envelopeItemId
required
string
The ID of the envelope item to download.
Query Parameters
Sección titulada «Query Parameters»version
string
The version of the envelope item to download. “signed” returns the completed document with all signatures and the audit trail, “original” returns the original uploaded document, “pending” returns the original document with currently-inserted fields burned in (only valid while the envelope is in PENDING status; not a final executed document).
Responses
Sección titulada «Responses»Successful response
Media typeapplication/json
Examplegenerated
exampleInvalid input data
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Authorization not provided
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Insufficient access
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Not found
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}Internal server error
Media typeapplication/json
object
message
required
string
code
required
string
issues
Array<object>
object
message
required
string
Examplegenerated
{ "message": "example", "code": "example", "issues": [ { "message": "example" } ]}